### Method

# Ide ProjectInfo get_file

#### Declaration

    GFile*
    ide_project_info_get_file (
      IdeProjectInfo* self
    )

#### Description

Gets the `IdeProjectInfo:file` property. This is the project file (such as configure.ac) of the project.

Available since: | 3.32

Gets property | `Ide.ProjectInfo:file`

#### Return value

Returns: | `GFile`
| A `GFile`.
| The data is owned by the instance.
| The return value can be `NULL`.